Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1518605 - Hard-coded bootstrap node means replacing overcloud-controller-0 is not possible [NEEDINFO]
Summary: Hard-coded bootstrap node means replacing overcloud-controller-0 is not possible
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: z3
: 12.0 (Pike)
Assignee: Steven Hardy
QA Contact: Gurenko Alex
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-29 10:00 UTC by Steven Hardy
Modified: 2018-08-20 12:59 UTC (History)
6 users (show)

Fixed In Version: openstack-tripleo-heat-templates-7.0.12-1.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-20 12:58:30 UTC
jamsmith: needinfo? (shardy)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1724888 None None None 2017-11-29 10:01:04 UTC
Red Hat Product Errata RHSA-2018:2331 None None None 2018-08-20 12:59:12 UTC
OpenStack gerrit 523822 None None None 2017-11-29 10:01:47 UTC

Description Steven Hardy 2017-11-29 10:00:31 UTC
Description of problem:

In previous releases, we fixed a problem where the bootstrap node was hard-coded to be the first controller, e.g "0", patch here:

https://review.openstack.org/#/q/I8b1c9538976a1518b220187a0034ad41a738d5a6

previous upstream bug:

https://bugs.launchpad.net/tripleo/+bug/1640449

However this issue has resurfaced in the recently reworked templates which support containers, fixed in this commit/backport upstream:

https://review.openstack.org/#/q/Iaffc66a41edf176dde3b5adf603a9cff6db7aa24

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Deploy an overcloud
2.Attempt to run openstack overcloud node delete on the primary overcloud-controller-0 (e.g due to hardware failure)
3. This will fail because of the hard-coded reference

The only workaround is to edit the templates to replace the hard-coded reference to index/name "0".

Actual results:
Removal of controller-0 is not possible

Expected results:
It should be possible to remove controller-0 via the normal node replacement process.

Additional info:
Upstream backport proposed at https://review.openstack.org/#/c/523822/

Upstream bug tracking this https://bugs.launchpad.net/tripleo/+bug/1724888

Comment 3 Marius Cornea 2018-07-16 23:14:13 UTC
(undercloud) [stack@undercloud-0 ~]$ nova list
/usr/lib/python2.7/site-packages/requests/packages/urllib3/connection.py:344: SubjectAltNameWarning: Certificate for 192.168.24.2 has no `subjectAltName`, falling back to check for a `commonName` for now. This feature is being removed by major browsers and deprecated by RFC 2818. (See https://github.com/shazow/urllib3/issues/497 for details.)
  SubjectAltNameWarning
/usr/lib/python2.7/site-packages/requests/packages/urllib3/connection.py:344: SubjectAltNameWarning: Certificate for 192.168.24.2 has no `subjectAltName`, falling back to check for a `commonName` for now. This feature is being removed by major browsers and deprecated by RFC 2818. (See https://github.com/shazow/urllib3/issues/497 for details.)
  SubjectAltNameWarning
+--------------------------------------+--------------+--------+------------+-------------+------------------------+
| ID                                   | Name         | Status | Task State | Power State | Networks               |
+--------------------------------------+--------------+--------+------------+-------------+------------------------+
| bb30d00f-3e44-4671-9da9-e89210b8a6c6 | compute-0    | ACTIVE | -          | Running     | ctlplane=192.168.24.17 |
| 4fc02997-9adf-4bf8-beb9-c47e18cc62ee | compute-1    | ACTIVE | -          | Running     | ctlplane=192.168.24.9  |
| 3d12ebb7-a95d-4a3d-a24b-2ce7e2a869fa | controller-1 | ACTIVE | -          | Running     | ctlplane=192.168.24.12 |
| 6b4dd673-bf17-47b1-8bea-3c91f9d1b045 | controller-2 | ACTIVE | -          | Running     | ctlplane=192.168.24.19 |
| f381f6e3-9168-407d-be34-62133d042c78 | controller-3 | ACTIVE | -          | Running     | ctlplane=192.168.24.7  |
+--------------------------------------+--------------+--------+------------+-------------+------------------------+
(undercloud) [stack@undercloud-0 ~]$ rpm -q openstack-tripleo-heat-templates
openstack-tripleo-heat-templates-7.0.12-3.el7ost.noarch

Comment 5 errata-xmlrpc 2018-08-20 12:58:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2331


Note You need to log in before you can comment on or make changes to this bug.